/*
 * Web Server
 *
 * A simple web server that shows the value of the analog input pins.
 */

#include <Ethernet.h>

#include "WProgram.h"
void setup();
void loop();
byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
byte ip[] = { 10,0,0,20 };

Server server(80);

void setup()
{
  Ethernet.begin(mac, ip);
  server.begin();
}

void loop()
{
  Client client = server.available();
  
  if (client) {
    // an http request ends with a blank line
    boolean blankline = true;
   
    while (client.connected())
    {
      if (client.available())
      {
        char c = client.read();
        // if we've gotten to the end of the line (received a newline
        // character) and the line is blank, the http request has ended,
        // so we can send a reply
        if (c == '\n' && blankline) {
          // send a standard http response header
          client.println("HTTP/1.1 200 OK");
          client.println("Content-Type: text/xml");
          client.println();

          // output the value of each analog input pin
          client.print("<values>");
          for (int i = 0; i < 6; i++) {
            client.print("<analog pin='");
            client.print(i);
            client.print("' value='");
            client.print(analogRead(i));
            client.println("' />");
          }
          client.print("</values>");         
          break;
        }
        if (c == '\n') {
          // we're starting a new line
          blankline = true;
        } 
        else if (c != '\r') {
          // we've gotten a character on the current line
          blankline = false;
        }
      }
    }
    
    client.flush();
    client.stop();
  }
}


int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

